Subject: Re: [bpf-next,v3,11/13] tools: bpf: make use of reallocarray

From: Guenter Roeck <[email-masked]>
Date: Fri, 13 Jul 2018 16:53:05 -0700

Hi,

On Tue, Jul 10, 2018 at 02:43:05PM -0700, Jakub Kicinski wrote:
> reallocarray() is a safer variant of realloc which checks for
> multiplication overflow in case of array allocation.  Since it's
> not available in Glibc < 2.26 import kernel's overflow.h and
> add a static inline implementation when needed.  Use feature
> detection to probe for existence of reallocarray.
> 

This probe doesn't work on my system (Ubuntu 16.04).

libbpf.c: In function ‘bpf_object__add_program’:
libbpf.c:326:10: error: implicit declaration of function ‘reallocarray’

bisect points to this patch.

Guenter